Ticket #2153 (accepted defect)

Opened 9 years ago

Last modified 6 months ago

GTK based apps have a too large font and widgets are pushed out of view

Reported by: BillK Owned by: john_lee
Priority: normal Milestone:
Component: Distro Version: Om2008.9-dev
Severity: normal Keywords:
Cc: Blocked By:
Blocking: Estimated Completion (week):
HasPatchForReview: no PatchReviewResult:


FDOM has a fix that works - details are uin the following email between John Lee and myself on the community list:

On Tue, Dec 02, 2008 at 07:50:58PM +0900, William Kenworthy wrote:

On Mon, 2008-12-01 at 22:22 +0900, William Kenworthy wrote:

Thanks, also I was bit too rushed. I shut down X which allowed me to


Fonts and widgets are far too large on apps like pythm, tangogps and the


Fixed by adding the gtkrc fix from FDOM

Should I raise a bug for this - I think it is an old issue (as evidenced
by the fact that FDOM has had the fix for awhile)


Please do since I couldn't find it in trac. Here is the diff between the
old gtkrc from moko-gtk-engine and the one from FDOM:

$ diff -urN gtkrc /home/john/tmp/FDOMizer/fixes/gtkrc
--- gtkrc 2008-10-30 18:42:30.000000000 +0800
+++ /home/john/tmp/FDOMizer/fixes/gtkrc 2008-10-19 16:12:35.000000000 +0800
@@ -12,6 +12,12 @@

gtk-button-images = 0
gtk-menu-images = 0
gtk-icon-sizes = "gtk-button=32,32:gtk-small-toolbar=48,48:gtk-large-toolbar=48,48"

+gtk-font-name = "Sans 4"
+gtk-toolbar-icon-size = GTK_ICON_SIZE_SMALL_TOOLBAR

# Set the default gtk-color-scheme property
gtk_color_scheme = "fg_color:#fff;bg_color:#333;base_color:#aaa;text_color:#000;selected_bg_color:#ff7d00;selected_fg_color:#000"

@@ -182,10 +188,10 @@

widget "*.mokosearchbutton" style "mokosearchbutton"

-include "matchboxpanel"
-include "openmoko-calculator"
-include "openmoko-contacts"
-include "openmoko-dialer"
-include "openmoko-panel-plugins"
-include "openmoko-mediaplayer"
+include "/usr/share/themes/Moko/gtk-2.0/matchboxpanel"
+include "/usr/share/themes/Moko/gtk-2.0/openmoko-calculator"
+include "/usr/share/themes/Moko/gtk-2.0/openmoko-contacts"
+include "/usr/share/themes/Moko/gtk-2.0/openmoko-dialer"
+include "/usr/share/themes/Moko/gtk-2.0/openmoko-panel-plugins"

I don't have enough knowledge to comment on it. The second section
seems strange to me though, because it assumes files will be installed
to /usr/share/themes/Moko/gtk-2.0/ while this should really be decided
by autotools.

Could someone please review it? If it's okay I'm going to apply it to

  • John

Openmoko community mailing list


Screenshot-1.png (63.0 KB) - added by john_lee 9 years ago.

Change History

comment:1 Changed 9 years ago by BillK

Sorry, missed filling out some of the details :(

2008.testing of ~1st Dec 2008


comment:2 Changed 9 years ago by john_lee

  • Owner changed from openmoko-devel to john_lee
  • Status changed from new to accepted

One clue: if upgrade from Om2008.9 then om calculator2 and om mediaplayer2 will look fine.

comment:3 Changed 9 years ago by john_lee

  • Version changed from unspecified to Om2008.9-dev
  • Component changed from unknown to Distro

I just flashed testing image 3rd Dec, calculator and mediaplayer both appear to be normal. I think that means apps without their own setting in moko-gtk-theme will use bad defaults. Will try tangogps later.

Changed 9 years ago by john_lee


comment:4 Changed 9 years ago by john_lee

tango-gps seems to be quite normal. I'm running 3rd Dec image without any modification, just opkg install tango-gps . Now I'm really running out of ideas.

comment:5 Changed 6 months ago by RonDert

Acheter Lioresal Ligne http://cialtobuy.com - generic cialis Cialis Billiger Geworden
Buy Liquid Amoxicillin Precio Cialis Generico
Antinfiammatorio Levitra <a href=http://cialtobuy.com >cheap cialis</a> Kamagra Lilly

Note: See TracTickets for help on using tickets.